Subject: FAQ corrections etc.

From: Ian Barwick <[email-masked]>
Date: Sat, 18 Dec 2004 00:39:17 +0100

attached as patch. It contains some minor corrections / clarifications. Note:

* store.pgsql.com (sec. 1.15) does not work, although it is linked from 
http://www.pgsql.com/ - is it dead, or just resting?

* I've taken the liberty of removing this section:
 "There is an interesting Web page comparing PostgreSQL to
  MySQL at <A href="http://openacs.org/philosophy/why-not-mysql.html">
  http://openacs.org/philosophy/why-not-mysql.html</A>  Also, MySQL is
  is a company that distributes its products via open source, and requires
  a commercial license for close-source software, not an
  open source development community like PostgreSQL."

  as the page linked to is hopelessly outdated (May 2000)  and the
  reference to the license model is IMHO not directly relevant to
  the context (performance).

Ian Barwick
Index: FAQ.html
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/FAQ/FAQ.html,v
retrieving revision 1.235
diff -c -r1.235 FAQ.html
*** FAQ.html	16 Dec 2004 01:08:23 -0000	1.235
--- FAQ.html	17 Dec 2004 23:36:56 -0000
***************
*** 339,346 ****
      href=
      "http://techdocs.PostgreSQL.org/">http://techdocs.PostgreSQL.org/</A>.</P>
  
!     <P><I>psql</I> has some nice \d commands to show information about
!     types, operators, functions, aggregates, etc.</P>
  
      <P>Our web site contains even more documentation.</P>
  
--- 339,347 ----
      href=
      "http://techdocs.PostgreSQL.org/">http://techdocs.PostgreSQL.org/</A>.</P>
  
!     <P>The command line client program <I>psql</I> has some \d commands to show
!     information about types, operators, functions, aggregates, etc. - use \? to 
!     display the available commands.</P>
  
      <P>Our web site contains even more documentation.</P>
  
***************
*** 425,445 ****
  
        <DT><B>Performance</B></DT>
  
!       <DD>PostgreSQL has performance similar to other commercial and
!       open source databases. it is faster for some things, slower for
        others. In comparison to MySQL or leaner database systems, we are
        faster for multiple users, complex queries, and a read/write query
        load.  MySQL is faster for simple SELECT queries done by a few users.
        Of course, MySQL does not have most of the features mentioned in the
        <I>Features</I> section above. We are built for reliability and
        features, and we continue to improve performance in every
!       release. There is an interesting Web page comparing PostgreSQL to
!       MySQL at <A href="http://openacs.org/philosophy/why-not-mysql.html">
!       http://openacs.org/philosophy/why-not-mysql.html</A>  Also, MySQL is
!       is a company that distributes its products via open source, and requires
!       a commercial license for close-source software, not an
!       open source development community like PostgreSQL.<BR>
! 
        <BR>
        </DD>
  
--- 426,440 ----
  
        <DT><B>Performance</B></DT>
  
!       <DD>PostgreSQL's performance is comparable to other commercial and
!       open source databases. It is faster for some things, slower for
        others. In comparison to MySQL or leaner database systems, we are
        faster for multiple users, complex queries, and a read/write query
        load.  MySQL is faster for simple SELECT queries done by a few users.
        Of course, MySQL does not have most of the features mentioned in the
        <I>Features</I> section above. We are built for reliability and
        features, and we continue to improve performance in every
!       release. <BR>
        <BR>
        </DD>
  
***************
*** 498,509 ****
      "contributions" item is solely to support the PostgreSQL project
      and does not fund any specific company. If you prefer, you can also
      send a check to the contact address.</P>
-     <HR>
  
      <P>Also, if you have a success story about PostgreSQL, please submit
      it to our advocacy site at <a href="http://advocacy.postgresql.org">
      http://advocacy.postgresql.org</a>.</P>

      <H2 align="center">User Client Questions</H2>
  
--- 493,504 ----
      "contributions" item is solely to support the PostgreSQL project
      and does not fund any specific company. If you prefer, you can also
      send a check to the contact address.</P>
  
      <P>Also, if you have a success story about PostgreSQL, please submit
      it to our advocacy site at <a href="http://advocacy.postgresql.org">
      http://advocacy.postgresql.org</a>.</P>
  
+     <HR>
  
      <H2 align="center">User Client Questions</H2>
  
***************
*** 544,550 ****
  
      <P>Yes, there are several graphical interfaces to PostgreSQL available.
      These include PgAccess <a href="http://www.pgaccess.org">
!     http://www.pgaccess.org</a>), PgAdmin III (<a
      href="http://www.pgadmin.org">http://www.pgadmin.org</a>, RHDB Admin (<a
      href="http://sources.redhat.com/rhdb/">http://sources.redhat.com/rhdb/
      </a>), TORA (<a href="http://www.globecom.net/tora/">http://www.globecom.net/tora/
--- 539,545 ----
  
      <P>Yes, there are several graphical interfaces to PostgreSQL available.
      These include PgAccess <a href="http://www.pgaccess.org">
!     http://www.pgaccess.org</a>), pgAdmin III (<a
      href="http://www.pgadmin.org">http://www.pgadmin.org</a>, RHDB Admin (<a
      href="http://sources.redhat.com/rhdb/">http://sources.redhat.com/rhdb/
      </a>), TORA (<a href="http://www.globecom.net/tora/">http://www.globecom.net/tora/
***************
*** 674,682 ****
      kernel's limit on shared memory space. Each buffer is 8K and the
      default is 1000 buffers.</P>
  
!     <P>You can also use the <I>sort_mem</I> and <I>work_mem</I> options
!     to increase the maximum amount of memory used by the backend processes
!     for each temporary sort. The default is 1024 (i.e. 1MB).</P>
  
      <P>You can also use the <SMALL>CLUSTER</SMALL> command to group
      data in tables to match an index. See the <SMALL>CLUSTER</SMALL>
--- 669,677 ----
      kernel's limit on shared memory space. Each buffer is 8K and the
      default is 1000 buffers.</P>
  
!     <P>You can also use the <I>sort_mem</I> (from PostgreSQL 8.0: <I>work_mem</I>)
!     options to increase the maximum amount of memory used by the backend
!     processes for each temporary sort. The default is 1024 (i.e. 1MB).</P>
  
      <P>You can also use the <SMALL>CLUSTER</SMALL> command to group
      data in tables to match an index. See the <SMALL>CLUSTER</SMALL>
***************
*** 1170,1183 ****
      execute("INSERT INTO person (name) VALUES ('Blaise Pascal')");
      new_id = execute("SELECT currval('person_id_seq')");
  </PRE>
! 
!     Finally, you could use the <A href="#4.16"><SMALL>OID</SMALL></A>
      returned from the <SMALL>INSERT</SMALL> statement to look up the
      default value, though this is probably the least portable approach,
      and the oid value will wrap around when it reaches 4 billion.
!     In Perl, using DBI with Edmund Mergl's DBD::Pg module, the oid
!     value is made available via <I>$sth-&gt;{pg_oid_status}</I> after
!     <I>$sth-&gt;execute()</I>.
  
      <H4><A name="4.15.3">4.15.3</A>) Doesn't <I>currval()</I>
      lead to a race condition with other users?</H4>
--- 1165,1178 ----
      execute("INSERT INTO person (name) VALUES ('Blaise Pascal')");
      new_id = execute("SELECT currval('person_id_seq')");
  </PRE>
!     
!     <P>Finally, you could use the <A href="#4.16"><SMALL>OID</SMALL></A>
      returned from the <SMALL>INSERT</SMALL> statement to look up the
      default value, though this is probably the least portable approach,
      and the oid value will wrap around when it reaches 4 billion.
!     In Perl, using DBI with the DBD::Pg module, the oid value is made
!     available via <I>$sth-&gt;{pg_oid_status}</I> after
!     <I>$sth-&gt;execute()</I>.</P>
  
      <H4><A name="4.15.3">4.15.3</A>) Doesn't <I>currval()</I>
      lead to a race condition with other users?</H4>

---

From: Bruce Momjian <[email-masked]>
Date: Fri, 17 Dec 2004 23:13:14 -0500 (EST)

Thanks.  Applied.

---------------------------------------------------------------------------

>   the context (performance).

[ Attachment, skipping... ]

> 
> ---------------------------(end of broadcast)---------------------------
> TIP 1: subscribe and unsubscribe commands go to [email-masked]

-- 
  Bruce Momjian                        |  http://candle.pha.pa.us
  [email-masked]               |  (610) 359-1001
  +  If your life is a hard drive,     |  13 Roberts Road
  +  Christ can be your backup.        |  Newtown Square, Pennsylvania 19073